Skip to main content
GET
/
team-members
/
{team_member_id}
Get team member details
curl --request GET \
  --url https://{your-subdomain}.neetodesk.com/api/external/v2/team-members/{team_member_id} \
  --header 'X-Api-Key: <x-api-key>'
{
  "team_member": {
    "id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
    "email": "oliver@example.com",
    "first_name": "Oliver",
    "last_name": "Smith",
    "time_zone": "Asia/Kolkata",
    "profile_image_url": "https://example.com/avatar.png",
    "organization_role": "Admin",
    "active": true
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Path Parameters

team_member_id
string
required

ID of the team member. You can get this by listing all team members using the List all team members API.

Example:

"aaaabbbb-cccc-dddd-eeee-ffff00001111"

Response

200 - application/json

OK - Request succeeded

team_member
object